local fish_net  = {
	type = "container",
	name = "moar-fish-fish-net",
	icon = "__moar-fish__/graphics/icons/fish-net.png",
	icon_size = 64,
	flags = {"placeable-neutral", "player-creation"},
	collision_mask = {"ground-tile", "object-layer"},
	minable = {mining_time = 0.3, result = "moar-fish-fish-net"},
	max_health = 300,
	corpse = "big-remnants",
	collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
	selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
	inventory_size = 10,
	enable_inventory_bar = false,
	picture =
	{
		layers =
		{
			{
				filename = "__moar-fish__/graphics/entity/fish-net.png",
				priority = "extra-high",
				width = 98,
				height = 113,
				shift = util.by_pixel(0, -8.5),
			},
			{
				priority = "high",
				filename = "__moar-fish__/graphics/entity/fish-net-shadow.png",
				flags = { "shadow" },
				line_length = 8,
				width = 100,
				height = 103,
				shift = util.by_pixel(1, 2.5),
				draw_as_shadow = true,
			}
		}
	}
}

local evaporation_chamber = table.deepcopy(data.raw["furnace"]["electric-furnace"])
evaporation_chamber.name = "moar-fish-evaporation-chamber"
evaporation_chamber.crafting_categories = {"evaporation"}
evaporation_chamber.source_inventory_size = 0
evaporation_chamber.minable = {mining_time = 0.3, result = "moar-fish-evaporation-chamber"}
evaporation_chamber.fluid_boxes = {
	{
		production_type = "input",
		pipe_picture = assembler2pipepictures(),
		pipe_covers = pipecoverspictures(),
		base_area = 10,
		base_level = -1,
		pipe_connections = {{ type="input", position = {0, 2} }},
		secondary_draw_orders = { north = -1 },
	},
off_when_no_fluid_recipe = false,
}

data:extend({
	fish_net,
	evaporation_chamber,
})