local fish_net = {
	type = "item",
	name = "moar-fish-fish-net",
	group = "production",
	subgroup = "extraction-machine",
	icon = "__moar-fish__/graphics/icons/fish-net.png",
	icon_size = 64,
	order = "a[moar-fish-fish-net]",
	place_result = "moar-fish-fish-net",
	stack_size = 50
}

local evaporation_chamber = {
	type = "item",
	name = "moar-fish-evaporation-chamber",
	group = "production",
	subgroup = "smelting-machine",
	icon = "__moar-fish__/graphics/icons/evaporation-chamber.png",
	icon_size = 64,
	order = "a[moar-fish-evaporation-chamber]",
	place_result = "moar-fish-evaporation-chamber",
	stack_size = 50
}

local salt = {
	type = "item",
	name = "moar-fish-salt",
	icon = "__moar-fish__/graphics/icons/salt.png",
	icon_size = 64,
	subgroup = "raw-material",
	order = "h[moar-fish-salt]",
	stack_size = 100
}

local cooked_fish = {
	type = "capsule",
	name = "moar-fish-cooked-fish",
	icon = "__moar-fish__/graphics/icons/cooked-fish.png",
	icon_size = 64,
	subgroup = "raw-material",
	capsule_action =
	{
		type = "use-on-self",
		attack_parameters =
		{
			type = "projectile",
			ammo_category = "capsule",
			cooldown = 30,
			range = 0,
			ammo_type =
			{
				category = "capsule",
				target_type = "position",
				action =
				{
					type = "direct",
					action_delivery =
					{
						type = "instant",
						target_effects =
						{
							type = "damage",
							damage = {type = "physical", amount = -200}
						}
					}
				}
			}
		}
	},
	order = "h[moar-fish-cooked-fish]",
	stack_size = 100
}

local salted_fish = {
	type = "capsule",
	name = "moar-fish-salted-fish",
	icon = "__moar-fish__/graphics/icons/salted-fish.png",
	icon_size = 64,
	subgroup = "raw-material",
	capsule_action =
	{
		type = "use-on-self",
		attack_parameters =
		{
			type = "projectile",
			ammo_category = "capsule",
			cooldown = 10,
			range = 0,
			ammo_type =
			{
				category = "capsule",
				target_type = "position",
				action =
				{
					type = "direct",
					action_delivery =
					{
						type = "instant",
						target_effects =
						{
							type = "damage",
							damage = {type = "physical", amount = -300}
						}
					}
				}
			}
		}
	},
	order = "h[moar-fish-salted-fish]",
	stack_size = 100
}

local robot_fish = {
	type = "capsule",
	name = "moar-fish-robot-fish",
	icon = "__moar-fish__/graphics/icons/robot-fish.png",
	icon_size = 64,
	subgroup = "raw-material",
	capsule_action =
	{
		type = "use-on-self",
		attack_parameters =
		{
			type = "projectile",
			ammo_category = "capsule",
			cooldown = 30,
			range = 0,
			ammo_type =
			{
				category = "capsule",
				target_type = "position",
				action =
				{
					type = "direct",
					action_delivery =
					{
						type = "instant",
						target_effects =
						{
							type = "damage",
							damage = {type = "physical", amount = -400}
						}
					}
				}
			}
		}
	},
	order = "h[moar-fish-robot-fish]",
	stack_size = 100
}

local pink_fish = {
	type = "capsule",
	name = "moar-fish-pink-fish",
	icon = "__moar-fish__/graphics/icons/pink-fish.png",
	icon_size = 64,
	subgroup = "raw-material",
	capsule_action =
	{
		type = "use-on-self",
		attack_parameters =
		{
			type = "projectile",
			ammo_category = "capsule",
			cooldown = 30,
			range = 0,
			ammo_type =
			{
				category = "capsule",
				target_type = "position",
				action =
				{
					type = "direct",
					action_delivery =
					{
						type = "instant",
						target_effects =
						{
							type = "damage",
							damage = {type = "physical", amount = -500}
						}
					}
				}
			}
		}
	},
	order = "h[moar-fish-pink-fish]",
	stack_size = 100
}

data:extend({
    fish_net,
	evaporation_chamber,
	
	salt,
	cooked_fish,
	salted_fish,
	robot_fish,
	pink_fish,
})